use tracing::{instrument, trace};
use tracing_subscriber::{filter::LevelFilter, EnvFilter};

pub fn init() {
    color_eyre::install().expect("Failed to install color_eyre");
    setup_trace_logger();
}

#[instrument]
pub fn setup_trace_logger() {
    let filter = EnvFilter::builder()
        .with_default_directive(LevelFilter::INFO.into())
        .parse_lossy("info,lyrs=trace");

    tracing_subscriber::fmt().with_env_filter(filter).init();

    trace!("Starting...");
}
